function [ResIm , ResIm_OMPonly] = pokus(DCTdict , trueIm, param)

thick = 12;
Mask = ones(256,256);

for i=1:thick
%    Mask(i,:)=0;
%    Mask(:,+i)=0;
%    Mask(257-i,:)=0;
   Mask(:,257-i)=0;
end

Mask = logical(Mask);

trueIm = double(trueIm);
Im = trueIm .* Mask;

% Break image to columns (mask as well)
imPatches = im2col(Im , param.patchSize , 'sliding');
maskPatches = im2col(Mask , param.patchSize , 'sliding');

resPatches = OMP_Inpaint_moje(DCTdict , imPatches , maskPatches, param);
resPatches=min(max(resPatches,0),255);

% Reconstruct image
ResIm_OMPonly = Average_Overlapping_Patches(resPatches, size(Im) , param.patchSize);

% Set the known pixels to the input values
% This should be used only when the noise is very weak
ResIm = ResIm_OMPonly;
ResIm(Mask) = Im(Mask);

% Finished
return;

